Package com.logicaldoc.core.document

# Enum Class IndexingStatus

java.lang.Object
java.lang.Enum<IndexingStatus>
com.logicaldoc.core.document.IndexingStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<IndexingStatus>`, `Constable`

public enum IndexingStatus extends Enum<IndexingStatus>
Inf a document is indexed or cannotbe indexed

Since:
  9.2.2
Author:
  Marco Meschieri - LogicalDOC

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INDEXED`
`SKIP`
`TO_INDEX`
`TO_INDEX_METADATA`

## Method Summary

Modifier and Type
Method
Description
`static IndexingStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IndexingStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TO_INDEX

public static final IndexingStatus TO_INDEX

### INDEXED

public static final IndexingStatus INDEXED

### SKIP

public static final IndexingStatus SKIP

### TO_INDEX_METADATA

public static final IndexingStatus TO_INDEX_METADATA

## Method Details

### values

public static IndexingStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IndexingStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null